<template>
  <v-row class="pa-5" justify="center">
    <v-col md="6" cols="12">
      <v-row no-gutters>
        <p>{{ "Seleccione el motivo de su cita" + " " }}</p>
        <h3 class="primary--text ml-1">
          {{ " *" }}
        </h3>
      </v-row>
      <v-row no-gutters>
        <v-combobox
          v-model="select"
          :items="this.reasons"
          label="Motivo de cita"
          outlined
          item-text="name"
          item-value="idMedicalReason"
          dense
          @change="onChangeOne"
        />
      </v-row>
      <v-expand-transition>
        <v-row v-if="select.name === 'Otros'" no-gutters>
          <v-text-field
            v-model="anotherReason"
            outlined
            dense
            label="Por favor, escriba el motivo de su cita"
            @change="onChangeTwo"
          />
        </v-row>
      </v-expand-transition>
      <v-row no-gutters>
        <p>
          ¿Alguna información adicional que debería conocer el especialista?
        </p>
      </v-row>
      <v-row no-gutters>
        <v-text-field
          v-model="additionalInfo"
          outlined
          dense
          @change="onChangeThree"
        />
      </v-row>
    </v-col>
  </v-row>
</template>

<script>
import { mapActions, mapGetters, mapState } from 'vuex';

export default {
  name: 'InitialQuestionnaire',
  props: {
    onChangeOne: Function,
    onChangeTwo: Function,
    reasons: Array,
    onChangeThree: Function,
  },
  data: () => ({
    select: '',
    additionalInfo: '',
    anotherReason: '',
    selected: false,
  }),
  mounted() {
  },
  methods: {
    ...mapActions({
    }),
  },
  computed: {
    ...mapState({
    }),
    ...mapGetters({
      myUserUuid: 'auth/myUserUuid',
    }),
  },
};
</script>
